package com.lz.modules.third.dao;
/**
* <p>
* 第三方消息发送记录 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-19
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.third.entity.ThirdMsgSendRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ThirdMsgSendRecordMapper extends BaseMapper<ThirdMsgSendRecord> {


	ThirdMsgSendRecord selectThirdMsgSendRecordById(@Param("id")Long id);


	Long insertThirdMsgSendRecord(ThirdMsgSendRecord thirdMsgSendRecord);


	int updateThirdMsgSendRecordById(ThirdMsgSendRecord thirdMsgSendRecord);


	int updateCoverThirdMsgSendRecordById(ThirdMsgSendRecord thirdMsgSendRecord);


	int deleteThirdMsgSendRecordById(@Param("id")Long id);


	ThirdMsgSendRecord selectThirdMsgSendRecordByWorkIdAndStaffIdAndTypeAndStatus(
			@Param("workId") Long workId,
			@Param("staffId") Long staffId,
			@Param("workType") int workType,
			@Param("status") int status);

    List<ThirdMsgSendRecord> selectThirdMsgSendRecordsByRecordIds(@Param("list") List<Long> recordIds,
																  @Param("type") int type,
																  @Param("status") int status);
}